import { getBillList } from "../../service/accounting"
import { alertInfo } from "../../utils/index";
import request from '../../utils/request'
const { OK } = request;
// pages/billList/index.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    page: 1,
    list: []
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.init();
  },
  async init() {
    const { page, list } = this.data;
    const { code, data, message } = await getBillList(page)
    if (!data?.length) {
      alertInfo("没用更多了")
      return;
    }
    this.setData({
      list: [...list, ...data],
      page: page + 1,
    })
  },
  jumpToDetail(e) {
    const { id: report } = e.currentTarget.dataset
    const { id: tenement } = wx.getStorageSync('tenement')
    // wx.navigateTo({
    //   url: '/pages/billDetail/index?id=' + report,
    // })
    // const { id: tenement } = wx.getStorageSync('tenement')
    // wx.navigateTo({
    //   url: `https://zgd.hbhcbn.com/h5/?report=${report}&tenement=${tenement}`,
    // })
    wx.showModal({
      title: '提示',
      content: '为了您更好的体验，请复制链接，通过浏览器打开下载',
      showCancel: true,
      cancelText: '关闭',
      confirmText: '复制链接',

      complete: (res) => {
        if (res.cancel) {
          
        }
    
        if (res.confirm) {
          wx.setClipboardData({
            data: `https://zgd.hbhcbn.com/h5/?report=${report}&tenement=${tenement}`,
          })
        }
      }
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})